# $Revision: 1.20 $, $Date: 2002/07/22 21:43:26 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tk
%define		pnam	FileDialog
Summary:	Tk::FileDialog Perl module - File Dialog widget for Perl/Tk
Summary(cs):	Modul Tk::FileDialog pro Perl
Summary(da):	Perlmodul Tk::FileDialog
Summary(de):	Tk::FileDialog Perl Modul
Summary(es):	Mdulo de Perl Tk::FileDialog
Summary(fr):	Module Perl Tk::FileDialog
Summary(it):	Modulo di Perl Tk::FileDialog
Summary(ja):	Tk::FileDialog Perl ⥸塼
Summary(ko):	Tk::FileDialog  
Summary(no):	Perlmodul Tk::FileDialog
Summary(pl):	Modu Perla Tk::FileDialog - okienko dialogowe wyboru plikw dla moduu Tk
Summary(pt):	Mdulo de Perl Tk::FileDialog
Summary(pt_BR):	Mdulo Perl Tk::FileDialog
Summary(ru):	  Perl Tk::FileDialog
Summary(sv):	Tk::FileDialog Perlmodul
Summary(uk):	  Perl Tk::FileDialog
Summary(zh_CN):	Tk::FileDialog Perl ģ
Name:		perl-Tk-FileDialog
Version:	1.3
Release:	10
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Tk
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk::FileDialog - A highly configurable File Dialog widget for Perl/Tk.

%description -l pl
Modu Tk::FileDialog - wysoko konfigurowalne okienko dialogowe wyboru
plikw dla moduu Tk.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_sitelib}/Tk/FileDialog.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Tk-FileDialog.spec,v $
Revision 1.20  2002/07/22 21:43:26  ankry
- translations, cleaning

Revision 1.19  2002/07/21 12:24:37  qboosh
- new %%doc, longer descriptions; release 10

Revision 1.18  2002/07/10 09:02:31  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:35:20  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:33  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:21:24  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:37:15  depesz
adapterized

Revision 1.12  2002/01/18 02:14:33  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:25  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:17:50  baggins
- release 6
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/26 02:15:18  kloczek
- release 5: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/09/05 07:42:54  kloczek
- release 4.

Revision 1.6  2000/06/09 07:55:00  kloczek
- more %%{__make} macros.

Revision 1.5  2000/06/09 07:23:42  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/23 18:05:25  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:33  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:02  baggins
- translated kloczkish into english

Revision 1.1  1999/11/13 20:43:42  pius
- initial release
